## ros-iron-swri-roscpp 3.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(swri_roscpp)

# Default to C++ version appropriate for the ROS distribution
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 17) 
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(marti_common_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rosidl_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

add_library(${PROJECT_NAME}_library INTERFACE)

target_link_libraries(${PROJECT_NAME}_library INTERFACE
  ${diagnostic_updater_LIBRARIES}
  ${rclcpp_LIBRARIES}
  ${std_msgs_LIBRARIES}
)
target_include_directories(${PROJECT_NAME}_library INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>"
  ${diagnostic_updater_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
  ${std_msgs_INCLUDE_DIRS}
)

install(DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)
install(TARGETS ${PROJECT_NAME}_library
  EXPORT export_${PROJECT_NAME}
)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

include(cmake/swri_roscpp-test.cmake)

add_executable(subscriber_test src/nodes/subscriber_test.cpp)
target_include_directories(subscriber_test
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${diagnostic_updater_INCLUDE_DIRS}
  ${nav_msgs_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
)
target_link_libraries(subscriber_test
  ${diagnostic_updater_LIBRARIES}
  ${marti_common_msgs_LIBRARIES}
  ${nav_msgs_LIBRARIES}
  ${rclcpp_LIBRARIES}
  ${std_msgs_LIBRARIES}
  ${std_srvs_LIBRARIES}
)
### Install Test Node and Headers ###
install(TARGETS subscriber_test
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
install(PROGRAMS scripts/service_splitter.py
  DESTINATION bin
)
install(DIRECTORY launch/
  DESTINATION launch
)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(diagnostic_updater)
ament_export_dependencies(marti_common_msgs)
ament_export_dependencies(nav_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(std_msgs)
ament_export_dependencies(std_srvs)

ament_package(CONFIG_EXTRAS cmake/swri_roscpp-extras.cmake )

=== debian/changelog ===
ros-iron-swri-roscpp (3.6.1-1jammy) jammy; urgency=high

  * Fixing Buildfarm Issues (#716 <https://github.com/swri-robotics/marti_common/issues/716>)
    * Cleaning up code to fix build farm errors
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Mon, 11 Sep 2023 05:00:00 -0000

ros-iron-swri-roscpp (3.6.0-1jammy) jammy; urgency=high

  * Rolling updates (#715 <https://github.com/swri-robotics/marti_common/issues/715>)
    - Updating code for Rolling.
    - Removing conditional compilation code related to EOL distributions.
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Tue, 22 Aug 2023 05:00:00 -0000

ros-iron-swri-roscpp (3.5.4-1jammy) jammy; urgency=high

  * Add publisher and subscription options to constructors (#714 <https://github.com/swri-robotics/marti_common/issues/714>)
  * Use System QoS Settings as Defaults (#713 <https://github.com/swri-robotics/marti_common/issues/713>)
  * Adding wrapper for unique_ptr arguments (#712 <https://github.com/swri-robotics/marti_common/issues/712>)
  * Contributors: David Anthony, Veronica Knisley

 -- P. J. Reed <preed@swri.org>  Mon, 14 Aug 2023 05:00:00 -0000

ros-iron-swri-roscpp (3.5.3-1jammy) jammy; urgency=high

  * Fixing build warnings (#707 <https://github.com/swri-robotics/marti_common/issues/707>)
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-iron-swri-roscpp (3.5.2-1jammy) jammy; urgency=high

  * Fix dependencies (#704 <https://github.com/danthony06/marti_common/issues/704>)
    * Fixing build process so dependencies are correctly exported.
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Tue, 30 May 2023 05:00:00 -0000

ros-iron-swri-roscpp (3.5.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Nov 2022 06:00:00 -0000

ros-iron-swri-roscpp (3.5.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 11 Oct 2022 05:00:00 -0000

ros-iron-swri-roscpp (3.4.2-1jammy) jammy; urgency=high

  * Add Humble Support (#691 <https://github.com/swri-robotics/marti_common/issues/691>)
    * Adding Humble support based on @shrijitsingh99 PR in https://github.com/swri-robotics/marti_common/pull/685
  * Contributors: David Anthony, Shrijit Singh

 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 05:00:00 -0000

ros-iron-swri-roscpp (3.3.2-1jammy) jammy; urgency=high

  * Fix topic services under ros2 (#604 <https://github.com/swri-robotics/marti_common/issues/604>)
  * Fix bugs related to subscription age and setting timeout (#609 <https://github.com/swri-robotics/marti_common/issues/609>, #611 <https://github.com/swri-robotics/marti_common/issues/611>) (#612 <https://github.com/swri-robotics/marti_common/issues/612>)
  * Contributors: David Anthony, mschickler

 -- P. J. Reed <preed@swri.org>  Tue, 24 Nov 2020 06:00:00 -0000

ros-iron-swri-roscpp (3.3.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-iron-swri-roscpp (3.3.0-1jammy) jammy; urgency=high

  * Implement topic services in ROS 2 (#2893 <https://github.com/swri-robotics/marti_common/issues/2893>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-iron-swri-roscpp (3.2.1-1jammy) jammy; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-iron-swri-roscpp (3.2.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-iron-swri-roscpp (3.1.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 30 Mar 2020 05:00:00 -0000

ros-iron-swri-roscpp (3.0.5-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 10 Mar 2020 05:00:00 -0000

ros-iron-swri-roscpp (3.0.4-1jammy) jammy; urgency=high

  * ROS 2 Eloquent compatibility (#568 <https://github.com/swri-robotics/marti_common/issues/568>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-iron-swri-roscpp (3.0.3-1jammy) jammy; urgency=high

  * Replace deprecated functions in swri_roscpp
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-iron-swri-roscpp (3.0.2-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-iron-swri-roscpp (3.0.1-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-iron-swri-roscpp (3.0.0-1jammy) jammy; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-iron-swri-roscpp (2.10.0-1jammy) jammy; urgency=high

  * Prevent swri:Subscriber latency calculations if current time is zero (#548 <https://github.com/swri-robotics/marti_common/issues/548>)
  * Change way name is created for topic services (#541 <https://github.com/swri-robotics/marti_common/issues/541>)
  * Contributors: jgassaway, nick-alton

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-iron-swri-roscpp (2.9.0-1jammy) jammy; urgency=high

  * Add callback for on change for dynamic parameters (#540 <https://github.com/swri-robotics/marti_common/issues/540>)
  * Add topic service unit tests (#538 <https://github.com/swri-robotics/marti_common/issues/538>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-iron-swri-roscpp (2.8.0-1jammy) jammy; urgency=high

  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-iron-swri-roscpp (2.7.3-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000



=== debian/control ===
Source: ros-iron-swri-roscpp
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-diagnostic-updater, ros-iron-marti-common-msgs, ros-iron-nav-msgs, ros-iron-rclcpp, ros-iron-ros-environment, ros-iron-rosidl-cmake, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-iron-diagnostic-updater, ros-iron-marti-common-msgs, ros-iron-nav-msgs, ros-iron-rclcpp, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-std-srvs, ros-iron-ros-workspace
Description: swri_roscpp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-swri-roscpp//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
